#include "clog_glog.h"
#include "glog/logging.h"
using namespace lp;
void CLogGlog::AddLog(const ILogST& stLog)
{
    LOG(INFO) << stLog.str();
}

void CLogGlog::AddLog(LogType type, const std::string& info)
{
    LOG(INFO) << info.c_str();
}

void CLogGlog::AddLog(LogType type, const std::string& info, const char* sFile, int iLine, ...)
{
    const char* base = strrchr(sFile, '/');
    if (!base)
        base = strrchr(sFile, '\\');

    LOG(INFO) << (base ? (base + 1) : sFile) << ":" << iLine << " >> " << (type) << info.c_str();
}

void CLogGlog::AddLog(const lp::ILogST& stLog)
{

}

void CLogGlog::AddLog(lp::LogType type, const std::string& info)
{

}

void CLogGlog::AddLog(lp::LogType type, const std::string& info, const char* sFunc, int iLine, ...)
{

}
